/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: InOnly.java,v 1.1 2007/06/11 13:34:07 lam Exp $
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.tools.rmi.common.serializable.messagingtypes;


import java.io.Serializable;

import javax.jbi.messaging.MessagingException;
import javax.jbi.messaging.NormalizedMessage;

import org.objectweb.petals.tools.rmi.common.serializable.MessageExchange;

/**
 * @author Nicolas SALATGE - EBM WebSourcing
 *
 */
public class InOnly extends MessageExchange
implements javax.jbi.messaging.InOnly, Serializable {

    /**
     * the serialVersionUID.
     */
    private static final long serialVersionUID = 7262906459887355529L;

    /**
     * the default constructor.
     *
     */
    public InOnly() {
        super();

        this.setPattern(MessageExchange.IN_ONLY_PATTERN);
    }

    /**
     * @see javax.jbi.messaging.InOnly#getInMessage()
     * @return the normalized message
     */
    public NormalizedMessage getInMessage() {
        return this.getMessage(MessageExchange.IN_MSG);
    }

    /**
     * @see javax.jbi.messaging.InOnly#setInMessage(javax.jbi.messaging.NormalizedMessage)
     * @param msg
     *         the normalized message
     * @throws MessagingException
     *         impossible to set the message
     */
    public void setInMessage(final NormalizedMessage msg) throws MessagingException {
        this.setMessage(msg, MessageExchange.IN_MSG);
    }
}
